# Uses of Enum
org.apache.qpid.proton.engine.Event.Type

Packages that use Event.Type
Package
Description
org.apache.qpid.proton.engine

## Uses of Event.Type in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Event.Type
Modifier and Type
Method
Description
`Event.Type`
Event.`getType()`
A concrete event type of core events.
`static Event.Type`
Event.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Event.Type[]`
Event.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.